> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opennote.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Practice



## OpenAPI

````yaml openapis/interactives.json post /v1/interactives/practice/create
openapi: 3.1.0
info:
  title: Interactive Routes
  version: 0.0.1
servers:
  - url: https://api.opennote.com
security: []
paths:
  /v1/interactives/practice/create:
    post:
      summary: Create Practice
      operationId: create_practice_interactives_practice_create_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PracticeProblemSetJobCreateRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PracticeProblemSetJobCreateResponse'
        '401':
          description: Invalid API key or unauthorized access
        '402':
          description: Insufficient credits
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          description: Rate limit exceeded
          headers:
            Retry-After:
              description: Number of seconds to wait before retrying
              schema:
                type: integer
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                type: object
        '500':
          description: Internal server error
      security:
        - HTTPBearer: []
components:
  schemas:
    PracticeProblemSetJobCreateRequest:
      properties:
        set_description:
          type: string
          title: Set Description
          description: The description of the practice problem set
        count:
          type: integer
          maximum: 15
          minimum: 1
          title: Count
          description: The number of practice problems to create
          default: 5
        set_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Set Name
          description: >-
            The name of the practice problem set. One will be generated for you
            at additional cost if you do not provide one.
        search_for_problems:
          type: boolean
          title: Search For Problems
          description: >-
            Whether to search the web for additional context to help with the
            practice problem set, at additional cost.
          default: false
        webhook_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Webhook Url
          description: The webhook URL to send the practice problem set creation status to.
      type: object
      required:
        - set_description
      title: PracticeProblemSetJobCreateRequest
    PracticeProblemSetJobCreateResponse:
      properties:
        success:
          type: boolean
          title: Success
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
        set_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Set Id
        timestamp:
          type: string
          title: Timestamp
      type: object
      required:
        - success
        - timestamp
      title: PracticeProblemSetJobCreateResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````